pro colorshift,spec,restset

restore,'colarr.sav'
; restores colarr, colname, colorx, colory, filters, nc, ncol

ftruname = filters + '_' + restset

m2dir = getenv('MLCS2K2_BASEDIR')

spcdir = m2dir + '/aux/spectra/' + spec + '/'
infofn = spcdir + 'INFO'

spcfn = ''
readit,infofn,ph,lammin,lammax,spcfn,nelems=nspc

outdir = m2dir + '/aux/colorshift/results/' + spec + '/'
if not file_test(outdir,/directory) then file_mkdir,outdir

openw,lun,outdir + 'INFO.'+restset,/get_lun
printf,lun,$
'# colorshifted spectrum                                phase lambda min lambda max   nc color restset'

for i=0,nspc-1 do begin

    inf = spcdir+spcfn[i]
    print,inf

    readspec,inf,lam,f
    nlam = n_elements(lam)

    for j=0,ncol-1 do begin

        color = reform(float(colarr[j,0:nc[j]-1]))
        ncolor = nc[j]
        colorname = colname[j]
        colortrue = ftruname[colorx[j]] + '-' + ftruname[colory[j]]

        x = getpb(ftruname[colorx[j]])

        if colorname eq 'U-B' then begin
            note = 'using BX filter!'
            y = getpb('BX_'+restset)
            colortrue = ftruname[colorx[j]] + '-' + 'BX_' + restset
        endif else begin
            note = ' '
            y = getpb(ftruname[colory[j]])
        endelse

        if (lammin[i] le min([x.wavelength,y.wavelength])) and $
           (lammax[i] ge max([x.wavelength,y.wavelength])) then begin

            print,'   ',colorname + '     ' + note

            ebvarr = dblarr(ncolor)
            totstatus = 0
            for k=0,ncolor-1 do begin
                junk = forcespec(lam,f,x,y,color[k],outebv=out,status=status)
                ebvarr[k] = out
                totstatus += status
            endfor

            if totstatus eq 0 then begin

                phase = ph[i]

                outfn = spcfn[i]+'.'+colorname+'.'+restset+'.sav'
                save,file=outdir+outfn $
                  ,phase,lam,f,nlam,color,ebvarr,ncolor $
                  ,colorname,colortrue,restset,/compress

                printf,lun,outfn $
                  ,phase,lammin[i],lammax[i],ncolor,colorname,restset $
                  ,format='(a-50,f10.1,f10.2,f10.2,i7,a5,"  ",a-20)'

            endif else begin
                message,'forcespec did not work, skipping this color.',/info
            endelse

        endif
    endfor
endfor

close,lun
free_lun,lun

end
