
; use the vectors that span the broadest range of rest-frame color
vdir = getenv('MLCS2K2_BASEDIR') + '/train/'

allvectors = file_search(vdir + '*.mlcsvec.V.sav',count=nv)
if nv le 0 then message,'no vectors found?!'

pref = strarr(nv)
for i=0,nv-1 do $
  pref[i] = strsplit(allvectors[i],'\.mlcsvec\.V\.sav',/extract,/regex)

print,'reading ' + pref[0] + ' vectors...'

restore,pref[0]+'.mlcsvec.U.sav'
um = template+nt
up = pt
uq = qt

restore,pref[0]+'.mlcsvec.B.sav'
bm = template+nt
bp = pt
bq = qt

restore,pref[0]+'.mlcsvec.V.sav'
vm = template+nt
vp = pt
vq = qt

restore,pref[0]+'.mlcsvec.R.sav'
rm = template+nt
rp = pt
rq = qt

restore,pref[0]+'.mlcsvec.I.sav'
im = template+nt
ip = pt
iq = qt

alldate = date
totdate = ndate

for i=1,nv-1 do begin

    print,'reading ' + pref[i] + ' vectors...'

    restore,pref[i]+'.mlcsvec.U.sav'
    um = [um,template+nt]
    up = [up,pt]
    uq = [uq,qt]

    restore,pref[i]+'.mlcsvec.B.sav'
    bm = [bm,template+nt]
    bp = [bp,pt]
    bq = [bq,qt]

    restore,pref[i]+'.mlcsvec.V.sav'
    vm = [vm,template+nt]
    vp = [vp,pt]
    vq = [vq,qt]

    restore,pref[i]+'.mlcsvec.R.sav'
    rm = [rm,template+nt]
    rp = [rp,pt]
    rq = [rq,qt]

    restore,pref[i]+'.mlcsvec.I.sav'
    im = [im,template+nt]
    ip = [ip,pt]
    iq = [iq,qt]

    alldate = [alldate,date]
    totdate += ndate

endfor

if n_elements(vp) ne totdate then message,'size mismatch somewhere...'

del = vec(-0.6d,1.9d,0.02d,nelems=nd)

u = dblarr(totdate,nd)
b = u
v = u
r = u
i = u

for x=0,nd-1 do begin
    u[0,x] = um + up*del[x] + uq*del[x]*del[x]
    b[0,x] = bm + bp*del[x] + bq*del[x]*del[x]
    v[0,x] = vm + vp*del[x] + vq*del[x]*del[x]
    r[0,x] = rm + rp*del[x] + rq*del[x]*del[x]
    i[0,x] = im + ip*del[x] + iq*del[x]*del[x]
endfor

ub = u-b
bv = b-v
vr = v-r
ri = r-i
vi = v-i

ubr = minmax(ub) & print,'U-B: ',ubr
bvr = minmax(bv) & print,'B-V: ',bvr
vrr = minmax(vr) & print,'V-R: ',vrr
rir = minmax(ri) & print,'R-I: ',rir
vir = minmax(vi) & print,'V-I: ',vir

loarr = [-0.5d,-0.4d,-0.3d,-0.2d,-0.1d]
hiarr = [+0.1d,0.2d,0.3d,0.4d,0.5d,0.6,0.7d,0.8d,0.9d,1.0d,1.2d,1.4d,1.6d, $
          1.8d,2.0d,2.5d,3.0d,3.5d]

ubmin = floor(ubr[0]*20.0d)/20.0d
ubmax = ceil(ubr[1]*20.0d)/20.0d + 1.0d
ubarr = [ubmin+loarr,vec(ubmin,ubmax,0.05d),ubmax+hiarr]
nub = n_elements(ubarr)

bvmin = floor(bvr[0]*20.0d)/20.0d
bvmax = ceil(bvr[1]*20.0d)/20.0d + 1.0d
bvarr = [bvmin+loarr,vec(bvmin,bvmax,0.05d),bvmax+hiarr]
nbv = n_elements(bvarr)

vrmin = floor(vrr[0]*20.0d)/20.0d
vrmax = ceil(vrr[1]*20.0d)/20.0d + 1.0d
vrarr = [vrmin+loarr,vec(vrmin,vrmax,0.05d),vrmax+hiarr]
nvr = n_elements(vrarr)

rimin = floor(rir[0]*20.0d)/20.0d
rimax = ceil(rir[1]*20.0d)/20.0d + 1.0d
riarr = [rimin+loarr,vec(rimin,rimax,0.05d),rimax+hiarr]
nri = n_elements(riarr)
; R-I gets too red for Cohen filters so trim the end:
riarr = riarr[0:nri-3] & nri = n_elements(riarr)   

vimin = floor(vir[0]*20.0d)/20.0d
vimax = ceil(vir[1]*20.0d)/20.0d + 1.0d
viarr = [vimin+loarr,vec(vimin,vimax,0.05d),vimax+hiarr]
nvi = n_elements(viarr)

save,file='ranges.sav',ub,bv,vr,ri,vi,del,nd,ubr,bvr,vrr,rir,vir $
  ,ubmin,ubmax,ubarr,nub,bvmin,bvmax,bvarr,nbv,vrmin,vrmax,vrarr,nvr $
  ,rimin,rimax,riarr,nri,vimin,vimax,viarr,nvi,alldate,totdate, /compress

maxc = max([nub,nbv,nvr,nri,nvi])

filters = ['U','B','V','R','I']
colorx = [0,1,2,3,2]
colory = [1,2,3,4,4]

colname = filters[colorx] + '-' + filters[colory]
ncol = n_elements(colname)

colarr = dblarr(ncol,maxc)
nc = lonarr(ncol)

colarr[0,0:nub-1] = ubarr
nc[0] = nub

colarr[1,0:nbv-1] = bvarr
nc[1] = nbv

colarr[2,0:nvr-1] = vrarr
nc[2] = nvr

colarr[3,0:nri-1] = riarr
nc[3] = nri

colarr[4,0:nvi-1] = viarr
nc[4] = nvi

save,file='colarr.sav',filters,colorx,colory,colname,ncol,colarr,nc

end
