srcdir = 'src/LaPalma/'

bhist = 'La Palma passbands from Pilar Ruiz-Lapuente (email 06-Nov-2008)'
bhist = [bhist, $
        '  using Fukugita zeropoint for Vega calibration, like SNLS']

PBERGS = 0 ; passbands are photon sensitivity
VEGAMAGS = 'Fukugita'  ; SNLS uses Fukugita magnitudes for Vega

inf = ['ALFOSCg','ALFOSCi','ALFOSCr','INTWFCg','INTWFCi','INTWFCr','JKTg']
outf = ['g_ALFOSC','i_ALFOSC','r_ALFOSC','g_INTWFC','i_INTWFC','r_INTWFC', $
        'g_JKT']

n = n_elements(inf)

for i=0,n-1 do begin

   readit,srcdir+inf[i],x,y,maxelems=2000,nelems=n

   if max(x) lt 1d3 then x *= 10d   ; some are in nm not Angstroms

   qq1 = where(y ge max(y)*1d-3)
   qq2 = where(x ge min(x[qq1]) and x le max(x[qq1]))

   x = x[qq2] & y = y[qq2]
   zeroify,x,y

   mkpassband,outf[i],x,y > 0d,pbergs=PBERGS,history=bhist,vegamags=VEGAMAGS

endfor

end
