
inbase = 'sn91bg_flux.v1.1'
daymax = 13.0

outbase = "sn91bg.v1.1."
suffix = ".flm"

template_file = inbase + '.dat'
template_savefile = inbase + '.sav'


IF NOT FILE_TEST(template_savefile) THEN BEGIN
    readit, template_file, day, lambda, flux, maxelems=300000l
    save, filename = template_savefile, day, lambda, flux
ENDIF ELSE BEGIN
    restore, filename = template_savefile
ENDELSE

uniqdays = day[uniq(day, sort(day))]
nd = n_elements(uniqdays)

openw,info,'INFO',/get_lun
printf,info,'# phase lambda_min lambda_max   filename'


FOR i = 0, nd-1 DO BEGIN

    d = uniqdays[i]
    w = WHERE(day EQ d,nw)

    d -= daymax

    IF d LT 0 THEN sign = 'm'  ELSE sign = 'p' ; "[m]inus" or "[p]lus"

    int_day = fix(abs(d))
    daystring = STRING(F='(I3.3)', int_day)

    filename = outbase+sign+daystring+suffix

    x = lambda[w]
    y = flux[w]

    sx = sort(x)
    x = x[sx]
    y = y[sx]

    print, filename
    OPENW, /GET_LUN, LUN, filename
    FOR j = 0, nw-1 DO BEGIN
        PRINTF, LUN, FORMAT='(F10.2,"   ",E20.7)', x[j], y[j]
    ENDFOR
    FREE_LUN, LUN

    printf,info,d,min(x),max(x),'     '+filename,format='(f7.1,f10.2,f10.2,a-40)'

ENDFOR

close,info
free_lun,info

END


