PRO snflux_to_indiv_dates

template_file = 'snflux.dat'
template_savefile = 'snflux.idlsave'

IF NOT FILE_TEST(template_savefile) THEN BEGIN
    readcol, template_file, day, lambda, flux, FORMAT='F,F,F'
    save, filename = template_savefile, day, lambda, flux
ENDIF ELSE BEGIN
    restore, filename = template_savefile
ENDELSE

uniqdays = day[uniq(day, sort(day))]

base = "ideal_snIa_age_"
suffix = ".dat"

FOR i = 0, N_ELEMENTS(uniqdays)-1 DO BEGIN
    d = uniqdays[i]
    w = WHERE(day EQ d)

    IF d LT 0 THEN sign = 'm'  ELSE sign = 'p' ; "[m]inus" or "[p]lus"

    int_day = fix(abs(d))
    daystring = STRING(F='(I0)', int_day)

    filename = base+sign+daystring+suffix

    print, filename
    OPENW, /GET_LUN, LUN, filename
    FOR j = 0, N_ELEMENTS(w)-1 DO BEGIN
        PRINTF, LUN, FORMAT='(F10.2,"   ",E20.7)', lambda[w[j]], flux[w[j]]
    ENDFOR
    FREE_LUN, LUN

ENDFOR


END;; of PRO
