function prior_rv31, param

; returns -2*alog(prior(t0,del,rv,mu0,av0))
;   add this to chisq to get filtered chisq
;   chisq = chisq - 2 * alog(prior)
;         = chisq + getpriors(p0,del,rv,av0)

common m2chisq

av0 = param[4]
t0 = param[0]
p0 = (t0 - startparam[0])/(1.0d + info.z)
del = param[1]
rv = param[2]
mu0 = param[3]

out = 0.0d

; don't wander too far from zero phase because we don't have the right
; cmatrix for those dates. in the next iteration we will be closer to 
; being correct.
absp0max = 3.0d
absp0sig = 0.5d
if abs(p0) gt absp0max then out = out + ((abs(p0)-absp0max)/absp0sig)^2

; no delta prior

; flat av prior, so we don't add anything

; fix rv near 3.1d
out = out + ((rv-3.1d)/0.01)^2

return, out

end
