FUNCTION auto_range, x, factor = fct
;+
; xrange = auto_range(x)
;
; compute the plotting range for x, adding some extra padding factor
;
; Input Keyword:
;
;   factor = additional padding factor,                             def. 0.05
;
; returns [x1,x2], where : 
;
;   x1 = min(x) - pad
;   x2 = max(x) + pad
;
; where pad = f*(max(x)-min(x)) 
; or    pad = f*(min(x)) if min = max
;
; <- Last updated: Fri Aug 28 18:13:19 1998 -> SGK
;-
;  --------------- -
;= AUTO_RANGE      - return a padded plotting range
; ---------------------------------------------------------------------------
;
IF NOT keyword_set(fct) THEN fct = 0.05
;
xmin = min(x, max = xmax)
dx = fct*(xmax-xmin)
IF dx EQ 0.0 THEN dx = fct*xmin
;
x1 = xmin - dx
x2 = xmax + dx
;
return, [x1, x2]
;
END
