function checkfixedparam, sn, inparam, fixarr=fixarr, fixval=fixval, gridfn=gridfn 

nparam = n_elements(inparam)

fixarr = bytarr(nparam)             ;; Boolean array denoting whether or not a parameter is fixed for the fit
fixval = dblarr(nparam) - 999.999d  ;; Set default to extreme value to catch later

grid = readsngrid(sn,file=gridfn)   ;; The parameters to hold fixed are specified in the sn.grid file

if size(grid,/tname) eq 'STRUCT' then begin
    ; we had a match in the grid file
    fixed = where(grid.npoints eq 1, nfixed)  ;; Number of grid points == 1 in sn.grid means fixed for that parameter
    if nfixed gt 0 then begin
        fixarr[fixed] = 1
        fixval[fixed] = grid.centers[fixed]   ;; The central value in sn.grid is then the only value
    endif
endif
        
return, fixparam(inparam,fixarr,fixval)

end
