pro dump_vectors, vecname, nocompress=nocompress

; Dump MLCS vectors to text file  -- gm & sj 2007-Feb-05
filters = ['U','B','V','R','I']

for i=0,n_elements(filters)-1 do begin

    f = filters[i]
    restore, getenv('MLCS2K2_BASEDIR')+'/train/'+vecname+'.mlcsvec.'+f+'.sav'
    tnt = template+nt

    dumpfile = getenv('MLCS2K2_BASEDIR')+'/train/textdump/' + $
      'vectors_'+vecname+'_'+f+'.dat'
    print, 'dumping to '+dumpfile
    openw,lun,dumpfile,/get_lun
    printf,lun,'# phase        M^0_'+f+'            P_'+f+'            Q_'+f

    for j=0,ndate-1 do printf,lun,date[j],tnt[j],pt[j],qt[j],format='(f7.1,f15.6,f15.6,f15.6)'
    close,lun
    free_lun,lun

endfor

; Also dump associated error matrix
restore, getenv('MLCS2K2_BASEDIR')+'/train/'+vecname+'.smatrix.sav'

dumpfile = getenv('MLCS2K2_BASEDIR')+'/train/textdump/' + $
  'smatrix_'+vecname+'.dat'
print, 'dumping to '+dumpfile
openw,lun,dumpfile,/get_lun

printf,lun,'# filter_x phase_x     filter_y phase_y           S_{xy}'
for i=0,ntot-1 do begin
    for j=0,ntot-1 do begin
        printf,lun,filters[i/ndate],date[i mod ndate], $
          filters[j/ndate],date[j mod ndate],sall[i,j], $
          format='(a6,f11.1,a10,f11.1,f20.8)'
    endfor
endfor

close,lun
free_lun,lun

if not keyword_set(nocompress) then begin
    print, 'gzipping ' + dumpfile
    spawn,'gzip ' + dumpfile
endif

end

