pro fit, sn, niter=niter, restart=restart, addobspb=addobspb, outdir=outdir $
           , clean=clean

m2dir = getenv('MLCS2K2_BASEDIR') + '/'

restart = keyword_set(restart)

lastiter = getlastiter(sn,fn=fn,outdir=outdir)
istart = lastiter + 1
message,' outdir = ' + outdir,/info

doamoeba = (restart or istart eq 0) ? 1 : 0

; if we're just starting/restarting then we do 3 grid iterations by default
;   otherwise we just do one more grid iteration
;   if the NITER keyword was specified then that overrides this logic
if n_elements(niter) eq 0 then niter = (doamoeba) ? 3 : 1

iend = istart + niter - 1

;;;; amoeba downhill simplex fit
if doamoeba then begin

    if not file_test(outdir,/directory) then file_mkdir,outdir

    iend++

    istr = string(istart,format='(i02)')

    ;;;;;;;;;;;;;;;;;;;;;;;;
    ;;;;;; Do the fit ;;;;;;
    ;;;;;;;;;;;;;;;;;;;;;;;;
    ambout = amoebafit(sn,savefile=outdir+sn+'.iter'+istr+'.amoeba.sav',outdir=outdir)
    ;;;;;;;;;;;;;;;;;;;;;;;;

    printfitout,sn,ambout,istart,outdir=outdir,addobspb=addobspb,/amoeba

    obsframefn = outdir+sn+'.iter'+istr+'.obsframe.dat'
    psfn = outdir+sn+'.iter'+istr+'.amoeba.ps'
    plotfit,sn,ambout,obsframefn,psfn=psfn

    istart++

endif

;;;; map out chisq surface on a grid
for i=istart,iend do begin

    istr = string(i,format='(i02)')
    gridfn = outdir+sn+'.iter'+istr+'.grid.sav'

    ;;;;;;;;;;;;;;;;;;;;;;;;
    ;;;;;; Do the fit ;;;;;;
    ;;;;;;;;;;;;;;;;;;;;;;;;
    gridout = gridfit(sn,savefile=gridfn,outdir=outdir)
    ;;;;;;;;;;;;;;;;;;;;;;;;

    printfitout,sn,gridout,i,outdir=outdir,addobspb=addobspb,/grid

    obsframefn = outdir+sn+'.iter'+istr+'.obsframe.dat'
    psfn = outdir+sn+'.iter'+istr+'.grid.ps'
    plotfit,sn,gridout,obsframefn,gridfn=gridfn,psfn=psfn

endfor

if keyword_set(clean) then begin
    ;; clean up save files and plots from previous iterations
    ;; to free disk space.
    
    for i=0,iend-1 do begin
        istr = string(i,format='(i02)')

        savefn =outdir+sn+'.iter'+istr+'.amoeba.sav'
        psfn = outdir+sn+'.iter'+istr+'.amoeba.ps'
        if file_test(savefn) then file_delete, savefn
        if file_test(psfn) then file_delete, psfn
        
        savefn = outdir+sn+'.iter'+istr+'.grid.sav'
        psfn = outdir+sn+'.iter'+istr+'.grid.ps'
        if file_test(savefn) then file_delete, savefn
        if file_test(psfn) then file_delete, psfn
    endfor
endif

end
