pro genlc, z, t0, mu65, delta, avhost, rvhost, ebvmw, obspb $
         , outjd, outpb, outrestpb, outmag, outerr $
         , outkc, outkcerr, outgx, outgxerr $
         , outfile=outfile $
         , specsamp=specsamp, vecname=vecname $
         , indates=indates, inphase=inphase


; generates an observer-frame light curve with the specified parameters

if n_elements(outfile) ne 1 then outfile = '/dev/null'

if n_elements(specsamp) ne 1 then specsamp = 'nugent_adam'
if n_elements(vecname) ne 1 then vecname = 'early-smix'

if n_elements(obspb) le 0 then $
  message,'must specify observer-frame passbands to output!'
obspb = [obspb]

param = [t0,delta,rvhost,mu65,avhost]

info = { sn_info, $
        name: 'fakesn', $
        z: z, $
        t0guess: 0.0d, $
        ebvsfd: ebvmw, $
        specsamp: specsamp, $
        priorpro: 'INDEF', $
        vecname: vecname }

fullobslc, param, info, obspb, outfile, dates=outjd, outpb=outpb, $
  outrestpb=outrestpb, outlc=outmag, outerr=outerr, kcout=outkc, $
  kcsig=outkcerr, gxout=outgx, gxsig=outgxerr, $
  indates=indates, inphase=inphase

end
