function getchisq, inparam, obslc=obslc, resid=resid, prisq=prisq, print=print $
                 , restphase=restphase, gxout=gxout, kcout=kcout, kcsig=kcsig, gxsig=gxsig

common m2chisq

; make sure fixed parameters are set to their fixed values
param = fixparam(inparam,fixarr,fixval)

; calculate the penalty from the prior
prisq = call_function('prior_'+info.priorpro,param)

; we check right away if the penalty is so large that we don't need to
;   waste time calculating chisq itself. this will happen in
;   disallowed regions (e.g., for some priors, A_V < 0)
if prisq gt 1d6 then return,npts*1d11

; calculate the observer frame light curve
obslc = getobslc(param,vectors,redden,info,obspb,restpb,data,orpbind $
              ,kctables=kctables,gxtables=gxtables,restphase=restphase $
              ,gxout=gxout,kcout=kcout,kcsig=kcsig,gxsig=gxsig)

; calculate the residual vector, r
resid = data.mag - obslc

; calculate the "raw" chisq
rawcs = transpose(resid) # cinv # resid

; the total "chisq" adds the prior penalty
chisq = rawcs[0]+prisq

if keyword_set(print) then $
  print,chisq,rawcs,prisq,param,format='(f11.3,f11.3,f9.3,f15.3,f7.3,f7.3,f8.3,f7.3)'

return,chisq

end
