function getlastparam, sn, info, outdir=outdir, err=err, lastiter=lastiter

;; 2006/07/10 - Some additional commentary by Michael Wood-Vasey
;;     Get the set of estimated parameters from the last fit iteration          

; we have 5 fit parameters
nparam = 5

lastiter = getlastiter(sn,fn=fn,outdir=outdir)

if lastiter lt 0 then begin

    ; first time, guess in the middle somewhere
    out = [info.t0guess, 0.3d, 1.9d, 35.0d, 0.2d]
    err = dblarr(nparam)
    
endif else begin

    junk = ''
    readit,fn,junk,mu0,mu0e,av0,av0e,del,dele,t0,t0e,rv,rve $
      ,nelems=n
    if n ne 1 then message,'invalid file: ' + fn
    
    out = [t0[0],del[0],rv[0],mu0[0],av0[0]]
    err = [t0e[0],dele[0],rve[0],mu0e[0],av0e[0]]

endelse

return,out

end
