function getm2vectors, filters, vecname, fnbase=fnbase, extend=extend

;; 2006/07/10 - Some additional commentary by Michael Wood-Vasey
;;     Return the full MLCS2k2 model vectors.  
;;     The model lightcurve for filter is stored in a separate file
;;     and only the filters requested are loaded and returned..

if n_elements(fnbase) eq 0 then fnbase = getenv('MLCS2K2_BASEDIR') + $
  '/train/'+vecname+'.mlcsvec'

nf = n_elements(filters)

for i=0,nf-1 do begin

    ; restores date,ndate,template,nt,pt,qt
    restore,fnbase+'.'+filters[i]+'.sav'

    oldate = date
    
    if keyword_set(extend) then begin
        newdate = [-1000d,date,1000d]
        template = interpol(template,date,newdate)
        nt = [nt[0],nt,nt[ndate-1]]
        pt = [pt[0],pt,pt[ndate-1]]
        qt = [qt[0],qt,qt[ndate-1]]
        date = newdate
        ndate += 2
    endif

    ; after we read the first file we get ndate and can
    ; define our structure
    if i eq 0 then begin
        out = { $   ; mlcs_vectors
                filters: filters, $
                fcolors: defaultcolor(filters), $
                fcol1: lonarr(nf), $
                fcol2: lonarr(nf), $
                nfilters: nf, $
                date: date, $
                ndate: ndate, $
                mingoodate: min(oldate), $
                maxgoodate: max(oldate), $
                mt: dblarr(nf,ndate), $
                pt: dblarr(nf,ndate), $
                qt: dblarr(nf,ndate) }
    endif

    if max(abs(date - out.date)) ne 0 then $
      message,'incompatible vector save files?'

    colstr = strsplit(out.fcolors[i],'-',/extract)
    c1 = where(filters eq colstr[0],nc1)
    if nc1 ne 1 then message,'mismatched rest filter/color set'
    out.fcol1[i] = c1[0]
    c2 = where(filters eq colstr[1],nc2)
    if nc2 ne 1 then message,'mismatched rest filter/color set'
    out.fcol2[i] = c2[0]

    out.mt[i,*] = template+nt
    out.pt[i,*] = pt
    out.qt[i,*] = qt

endfor

return,out

end
