function gx_loadfile, fn
;
; gx_loadfile.pro -- load a Galactic extinction lookup table
;
; Created 2005-Nov-14
; Version 2005-Nov-18
;               
; INPUTS
;        fn: lookup table file name, e.g.,
;           aux/galext/normal/gx.z=0.032.R_Bessell.V-R.Bessell.CCM.R_V=3.1.fits
;
; RETURN VALUE
;  Galactic extinction lookup table structure
;

m2dir = getenv('MLCS2K2_BASEDIR') + '/'
fullfn = m2dir + fn

; if this Galactic extinction table has not been computed we have to do it
if not file_test(fullfn) then gx_createfile,fn

; load it up and return it
return, gx_readfits(fullfn)

end
