function kc_getfilename,z,rfcolname,rf,obsf,sample,rfcolset

;
; kc_getfilename.pro -- determines the K-correction file name
;
; Created 2005-Nov-09
; Version 2005-Nov-12
;               
; INPUTS
;         z: redshift (scalar)
; rfcolname: rest-frame color name (string: 
;                                  'U-B', 'B-V', 'V-R', 'R-I', or 'V-I')
;        rf: rest-frame passband (string or passband structure)
;      obsf: observer-frame passband (string or passband structure)
;    sample: spectral sample (string)
;  rfcolset: rest-frame color set (string)
;     
; RETURN VALUE
;  filename for K-correction lookup

if size(rf,/tname) eq 'STRING' then $
  rfstr = translatepb(rf) $
else rfstr = rf.name

if size(obsf,/tname) eq 'STRING' then $
  obsfstr = translatepb(obsf) $
else obsfstr = obsf.name

return, 'aux/kcorr/' + $
  strcompress(sample,/remove_all)+'/' + $
  'kc.z=' + $
  strcompress(string(z,format='(f0.3)'),/remove_all) + '.' + $
  strcompress(rfstr,/remove_all) + $
  '.to.' + $
  strcompress(obsfstr,/remove_all) + '.' + $
  strcompress(rfcolname,/remove_all) + '.' + $
  strcompress(rfcolset,/remove_all) + $
  '.fits'

end
