pro kc_parsefilename,fn,z,rfcolname,rf,obsf,sample,rfcolset

;
; kc_parsefilename.pro -- breaks down the K-correction file name
;
; Created 2005-Nov-09
; Version 2005-Nov-18
;               
; INPUTS
;        fn: K-correction lookup filename
;            (e.g., aux/kcorr/normal/kc.z=0.123.B_Bessell.to.B_Bessell.B-V.Bessell.fits)
;
; OUTPUTS
;
;         z: redshift
; rfcolname: rest-frame color name 
;        rf: rest-frame passband (string)
;      obsf: observer-frame passband (string)
;    sample: spectral sample (string)
;  rfcolset: rest-frame color set (string)
;     

p = strsplit(fn,'.',/extract,count=np)

sample = (strsplit(p[0],'/',/extract))[2]

qq = where(strmid(p,0,2) eq 'z=',nqq)
if nqq ne 1 then message,' cannot parse fn: '+fn
qq = qq[0]
z = float( (strsplit(strjoin(p[qq:qq+1],'.'),'=',/extract))[1] )

qq = where(p eq 'to',nqq)
if nqq ne 1 then message,' cannot parse fn: '+fn
qq = qq[0]
rfcolname = p[qq+2]
rf = p[qq-1]
obsf = p[qq+1]
rfcolset = p[qq+3]

end
