function synphot,x,spc,pb,plot=plot,oplot=oplot,allowneg=allowneg

;
; version 2005-Nov-03
;
;  do synthetic photometry on a spectrum
;
;  x:   wavelength points for spectrum  
;  spc: spectrum (f_lambda)
;  pb:  passband (from getpb.pro)
;
;  pb can also be a string, like 'B' or 'V' or 'F775W_ACS' that
;  will just be passed to getpb.pro, but you should do this
;  yourself if you are repeatedly calling synphot or synflux
;  because it's much faster to read in the passband once, so:
;
;  faster:                             also works, but slower:
;  b = getpb('B')                      print,synphot(x,f,'B')
;  print,synphot(x,f,b)                print,synphot(x2,f2,'B')
;  print,synphot(x2,f2,b) etc.         etc.
;
;  the faster method will also let you specify desired options to getpb.pro
;
;  KEYWORDS
;  allowneg: allow the passband to be negative (it's nonnegative by default)
;
;  plot: set to see a plot
;  oplot: just overplot the passband (good for repeated calls)
;
;  returns mag
;

if size(pb,/tname) eq 'STRING' then pbs = getpb(pb) else pbs = pb

return, pbs.zp - 2.5 * alog10( synflux(x,spc,pbs,plot=plot,oplot=oplot $
                                   ,allowneg=allowneg))

end
