function translatepb, name
;
; translatepb.pro -- default translations for passband names
;    translates 'U', 'B', 'V', 'R', 'I', 'J', 'H', 'K'
;    leaves all other names alone
;
; Created 2005-Nov-12
; Version 2006-May-31
;               
; INPUT
;     name: name of the passband
;
; RETURN VALUE
;   translated name of the passband

defaultskcgx,restframeset

case name of 
    'U' : out = 'U_' + restframeset
    'B' : out = 'B_' + restframeset
    'V' : out = 'V_' + restframeset
    'R' : out = 'R_' + restframeset
    'I' : out = 'I_' + restframeset
    'J' : out = 'J_MKO'
    'H' : out = 'H_MKO'
    'K' : out = 'K_MKO'
   else : out = name
endcase

return,out

end
